安卓actionbar在2.1以上的使用步骤(参考官方)

发布时间:2017-3-27 6:47:52 编辑:www.fx114.net 分享查询网我要评论
本篇文章主要介绍了"安卓actionbar在2.1以上的使用步骤(参考官方)",主要涉及到安卓actionbar在2.1以上的使用步骤(参考官方)方面的内容,对于安卓actionbar在2.1以上的使用步骤(参考官方)感兴趣的同学可以参考一下。

通过阅读官方文档,了解到了使用actionbar,有2种区别 1 在3.0或3.0以上 由于3.0以上的版中 所有的activities都包含了action bar,并且默认的主题是 Theme.Holo 所以3.0以上app的都是自动会加上 注意 <uses-sdk android:minSdkVersion="11" ... /> android:minSdkVersion 需要大于等于11 才行 2 在2.1或2.1以上 官方说如果要在3.0以下用,就必须给你的项目提供一个Android Support Library  1下载Android Support Library   在eclipse中启动 SDK Manager      找到这个Android Support Library 下载 (提示:Android Support Library 支持Eclipse        Android Support Repository 支持Android Studio)  2安装 v7 appcompat library(就是导入一个项目,把他设置为library)  以下步骤全部按照官方说的来  eclipse中  File > Import  Existing Android Code Into Workspace 下一步   OK   项目就成功导入 再把libs中的jar包导入进来   右击这个项目 修改buildpath - configbuildpath 如下图   ok之后这个项目就好了,然后就是让这个项目成为另外一个项目的library   到这一部安装 v7 appcompat library就结束了 3 修改activity extends ActionBarActivity. 如下  4 修改manifest file(主清单文件)  把实现ActionBarActivity 的 activity的theme主题 改成Theme.AppCompat或他的子类     好了 这样带有actionbar的app就可以跑在2.1 或更高的版本上了  

上一篇:关于C++类成员函数的重载、覆盖、隐藏与virtual关键字
下一篇:

相关文章

相关评论

本站评论功能暂时取消,后续此功能例行通知。

一、不得利用本站危害国家安全、泄露国家秘密,不得侵犯国家社会集体的和公民的合法权益,不得利用本站制作、复制和传播不法有害信息!

二、互相尊重,对自己的言论和行为负责。

好贷网好贷款